version: '3.1'
services:
  postgresql:
    image: postgres:14
    container_name: postgresql
    restart: always
    environment:
      POSTGRES_PASSWORD: root
    ports:
      - 5432:5432
    volumes:
      - ./data:/var/lib/postgresql/data

  adminer:
    image: adminer
    container_name: postgresql-adminer
    restart: always
    ports:
      - 8888:8080